Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util.aggregator
Class ComparableMin

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.BitHelper
com.tangosol.util.ExternalizableHelper
com.tangosol.util.aggregator.AbstractAggregator
com.tangosol.util.aggregator.AbstractComparableAggregator
com.tangosol.util.aggregator.ComparableMin`

All Implemented Interfaces:
  ExternalizableLite, PortableObject, InvocableMap.EntryAggregator, InvocableMap.ParallelAwareAggregator, java.io.Serializable

      public class ComparableMin

extends AbstractComparableAggregator

Calculates a minimum among values extracted from a set of entries in a Map. This aggregator is most commonly used with objects that implement `Comparable` such as `String` or `Date`; a `Comparator` can also be supplied to perform the comparisons.

Since:
  Coherence 3.2
Author:
  gg 2006.02.13

Field Summary

Fields inherited from class com.tangosol.util.aggregator.AbstractComparableAggregator
`m_comparator, m_count, m_oResult`

Fields inherited from class com.tangosol.util.aggregator.AbstractAggregator
`m_fParallel`

Constructor Summary
`ComparableMin()` Default constructor (necessary for the ExternalizableLite interface).
`ComparableMin(java.lang.String sMethod)` Construct a ComparableMin aggregator.
`ComparableMin(ValueExtractor extractor)` Construct a ComparableMin aggregator.
`ComparableMin(ValueExtractor extractor, java.util.Comparator comparator)` Construct a ComparableMin aggregator.

Method Summary
`protected void` | `process(java.lang.Object o, boolean fFinal)` Incorporate one aggregatable value into the result.

Methods inherited from class com.tangosol.util.aggregator.AbstractComparableAggregator
`finalizeResult, init, readExternal, readExternal, writeExternal, writeExternal`

Methods inherited from class com.tangosol.util.aggregator.AbstractAggregator
`aggregate, aggregateResults, equals, getParallelAggregator, getValueExtractor, hashCode, processEntry, toString`

Methods inherited from class com.tangosol.util.BitHelper
`countBits, countBits, countBits, indexOfLSB, indexOfLSB, indexOfLSB, indexOfMSB, indexOfMSB, indexOfMSB, rotateLeft, rotateLeft, rotateLeft, rotateRight, rotateRight, rotateRight, toBitString, toBitString, toBitString`

Constructor Detail

### ComparableMin

    public ComparableMin()

  Default constructor (necessary for the ExternalizableLite interface).

### ComparableMin

    public ComparableMin(ValueExtractor extractor)

  Construct a ComparableMin aggregator.
  Parameters:
    `extractor` - the extractor that provides a value in the form of any object that implements `Comparable` interface

### ComparableMin

    public ComparableMin(ValueExtractor extractor,
                         java.util.Comparator comparator)

  Construct a ComparableMin aggregator.
  Parameters:
    `extractor` - the extractor that provides an object to be compared
    `comparator` - the comparator used to compare the extracted object

### ComparableMin

    public ComparableMin(java.lang.String sMethod)

  Construct a ComparableMin aggregator.
  Parameters:
    `sMethod` - the name of the method that returns a value in the form of any object that implements `Comparable` interface

Method Detail

### process

    protected void process(java.lang.Object o,
                           boolean fFinal)

  Incorporate one aggregatable value into the result. If the `fFinal` parameter is true, the given object is a partial result (returned by an individual parallel aggregator) that should be incorporated into the final result; otherwise, the object is a value extracted from an `InvocableMap.Entry`.
  Specified by:
    `process` in class `AbstractAggregator`
  Parameters:
    `o` - the value to incorporate into the aggregated result
    `fFinal` - true to indicate that the given object is a partial result returned by a parallel aggregator

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.